---
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: staging-nodejs-simple

replicas:
  - name: nodejs-simple
    count: 1

images:
  - name: registry.gitlab.com/argocd-gitops-activity/backend/nodejs-simple/stage
    newTag: v0.1.2

patches:
  - target:
      group: apps
      version: v1
      kind: Deployment
      name: nodejs-simple
    path: deployment-patch.yaml

resources:
  - namespace.yaml
  - ../../../../backend/nodejs-simple
  - ingress.yaml
